# Uses of Class
org.eclipse.birt.report.engine.api.InstanceID

Packages that use InstanceID
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.

## Uses of InstanceID in org.eclipse.birt.report.engine.api

Fields in org.eclipse.birt.report.engine.api declared as InstanceID
Modifier and Type
Field
Description
`protected InstanceID`
InstanceID.`parentId`
Methods in org.eclipse.birt.report.engine.api that return InstanceID
Modifier and Type
Method
Description
`InstanceID`
IReportDocument.`getBookmarkInstance(String bookmark)`
Return the instance id of report item with the specified bookmark
`InstanceID`
DataExtractionOption.`getInstanceID()`
`InstanceID`
IDataAction.`getInstanceID()`
Returns the instance ID of associated report item instance.
`InstanceID`
IDataExtractionOption.`getInstanceID()`
`InstanceID`
InstanceID.`getParentID()`
Get parent id of this report element instance.
`static InstanceID`
InstanceID.`parse(char[] buffer, int offset, int length)`
Parse the input char buffer into an InstanceId object.
`static InstanceID`
InstanceID.`parse(String instanceId)`
Parse the input string into an InstanceId object.
Methods in org.eclipse.birt.report.engine.api with parameters of type InstanceID
Modifier and Type
Method
Description
`long`
IReportDocument.`getInstanceOffset(InstanceID iid)`
Given a report item instance id, returns the offset of the report content (to support Reportlet).
`long`
IReportDocument.`getPageNumber(InstanceID iid)`
Given a report item instance idD, returns the page number that the instance starts on (to support Reportlet).
`static boolean`
DocumentUtil.`isCube(IReportDocument document, InstanceID instanceId)`
Judge whether it's a cube based on instance id
`void`
IRenderTask.`render(InstanceID iid)`
Deprecated.
A page which contains the instance can be rendered like this:
`setInstanceID( instanceID );`
`render( );`
`void`
DataExtractionOption.`setInstanceID(InstanceID iid)`
`void`
IDataExtractionOption.`setInstanceID(InstanceID iid)`
`void`
IDataExtractionTask.`setInstanceID(InstanceID iid)`
* @param iid identifies a report item instance that data extraction will happen on
`void`
IRenderTask.`setInstanceID(InstanceID iid)`
Sets id of instance.
Constructors in org.eclipse.birt.report.engine.api with parameters of type InstanceID
Modifier
Constructor
Description
``
`InstanceID(InstanceID parent, long uid, long designId, DataID dataId)`
Constructor.
``
`InstanceID(InstanceID parent, long designId, DataID dataId)`
Constructor.
``
`InstanceID(InstanceID parent, InstanceID iid)`

## Uses of InstanceID in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return InstanceID
Modifier and Type
Method
Description
`InstanceID`
IColumn.`getInstanceID()`
get the instance id of the column.
`InstanceID`
IContent.`getInstanceID()`
get the instance id of the content.
Methods in org.eclipse.birt.report.engine.content with parameters of type InstanceID
Modifier and Type
Method
Description
`IContent`
IReportContent.`getContent(InstanceID id)`
return the content in this report.
`void`
IContent.`setInstanceID(InstanceID id)`
set the instace id of the content.